IDA SDK

- Main Page
- Header Files
- Classes
- Modules

Functions
Functions: manipulate data bits
Flags structure » Instruction/Data operands

## Detailed Description

Parameters

  ea | linear address
  length | size of array in bytes. should be divisible by the size of one item of the specified type.

Returns
  success

## Functions
idaman bool ida_export | do_data_ex (ea_t ea, flags_t dataflag, asize_t size, tid_t tid)
| Convert to data (byte,word,dword,etc). More...
bool idaapi | doByte (ea_t ea, asize_t length)
| Convert to byte.
bool idaapi | doWord (ea_t ea, asize_t length)
| Convert to word.
bool idaapi | doDwrd (ea_t ea, asize_t length)
| Convert to dword.
bool idaapi | doQwrd (ea_t ea, asize_t length)
| Convert to quadword.
bool idaapi | doOwrd (ea_t ea, asize_t length)
| Convert to octaword/xmm word.
bool idaapi | doYwrd (ea_t ea, asize_t length)
| Convert to ymm word.
bool idaapi | doZwrd (ea_t ea, asize_t length)
| Convert to zmm word.
bool idaapi | doTbyt (ea_t ea, asize_t length)
| Convert to tbyte.
bool idaapi | doFloat (ea_t ea, asize_t length)
| Convert to float.
bool idaapi | doDouble (ea_t ea, asize_t length)
| Convert to double.
bool idaapi | doPackReal (ea_t ea, asize_t length)
| Convert to packed decimal real.
bool idaapi | doASCI (ea_t ea, asize_t length)
| Convert to ascii.
bool idaapi | do3byte (ea_t ea, asize_t length)
| Convert to 3-byte data.
bool idaapi | doStruct (ea_t ea, asize_t length, tid_t tid)
| Convert to struct.
bool idaapi | doCustomData (ea_t ea, asize_t length, int dtid, int fid)
| Convert to custom data type.
idaman bool ida_export | doAlign (ea_t ea, asize_t length, int alignment)
| Alignment: 0 or 2..32. If it is 0, is will be calculated.
idaman int ida_export | calc_min_align (asize_t length)
| Returns: 1..32.
idaman int ida_export | calc_max_align (ea_t endea)
| Returns: 0..32.
idaman int ida_export | calc_def_align (ea_t ea, int mina, int maxa)
| Calculate default alignment.
idaman bool ida_export | do16bit (ea_t ea, asize_t length)
| Convert to 16-bit quantity (take byte size into account)
idaman bool ida_export | do32bit (ea_t ea, asize_t length)
| Convert to 32-bit quantity (take byte size into account)

## Function Documentation

idaman bool ida_export do_data_ex | ( | ea_t | ea,
|  | flags_t | dataflag,
|  | asize_t | size,
|  | tid_t | tid
| ) |  |

Convert to data (byte,word,dword,etc).

This function may be used to create arrays.

Parameters

  ea | linear address
  dataflag | type of data. Value of function byteflag(), wordflag(), etc.
  size | size of array in bytes. should be divisible by the size of one item of the specified type. for variable sized items it can be specified as 0, and the kernel will try to calculate the size.
  tid | type id. If the specified type is a structure, then tid is structure id. Otherwise should be BADNODE.

Returns
  success